From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/gef/
Date: Tue, 28 Jun 2022 09:31:57 +0000 (UTC) [thread overview]
Message-ID: <1656408609.83df2c4feae6ef4e6bdcb77bdcdaf6d33fb7d1fd.sam@gentoo> (raw)
commit: 83df2c4feae6ef4e6bdcb77bdcdaf6d33fb7d1fd
Author: Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Sun Jun 26 20:15:38 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun 28 09:30:09 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83df2c4f
dev-util/gef: version bump 2022.06
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Closes: https://github.com/gentoo/gentoo/pull/26085
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/gef/Manifest | 1 +
dev-util/gef/{gef-9999.ebuild => gef-2022.06.ebuild} | 18 +++++++++++-------
dev-util/gef/gef-9999.ebuild | 18 +++++++++++-------
3 files changed, 23 insertions(+), 14 deletions(-)
diff --git a/dev-util/gef/Manifest b/dev-util/gef/Manifest
index baac8a70b5e9..49ae2c4a2659 100644
--- a/dev-util/gef/Manifest
+++ b/dev-util/gef/Manifest
@@ -1,2 +1,3 @@
DIST gef-2021.10.tar.gz 170829 BLAKE2B 4d21fb68b2d9239dea912bb41790c7ffe83d9a7bb17cc6b3df67078b0147ff06676ff257c46567fb9a4fa76d5e12140f567f153337e83dbdd10cf0576cd08499 SHA512 30ccc728322651c3fc88f629165a96f593f079ddaa21d194e483804cdf4bcb235ed28cfaaa6fdd85c134b2314f32bd87e3dcf5decc45720f8e7b89ca9af2c379
DIST gef-2022.01.tar.gz 211779 BLAKE2B 1cb501cc7e05b1f96bb1d3ea42c8970273aea717b927f90120dbc5d0b5d9d7e28a89d1b1eb8a969406dfcd4f06f23e703e3aaa27a5a294b0d454d41b82b7bd12 SHA512 4e89ab889933464711c7a990df7fe6a6c014b80e9f5ad5e77382c3938413d31d03838e2215225defae88008b2ca0e577edeb01189189ea5e37d07204375fb47b
+DIST gef-2022.06.tar.gz 217503 BLAKE2B b7038e0519f216669c38bdda7e12375fb1c9e5278c8b617df73932a750ee6552531929eebcac22321607f51592834ece70c850ce0ba4629bc383731bc8803bb3 SHA512 585bad8655a5208d060b1ccf455ab87527e47949fce1df188a5ac970ccd1bbfbdd87151f7a940edcfb879dd0ea846b5c4a8650fed856cd5dcaec0ddd3581f100
diff --git a/dev-util/gef/gef-9999.ebuild b/dev-util/gef/gef-2022.06.ebuild
similarity index 81%
copy from dev-util/gef/gef-9999.ebuild
copy to dev-util/gef/gef-2022.06.ebuild
index e29ca85b5b66..f6f2afc9a0ad 100644
--- a/dev-util/gef/gef-9999.ebuild
+++ b/dev-util/gef/gef-2022.06.ebuild
@@ -10,7 +10,7 @@ inherit python-single-r1 wrapper
DESCRIPTION="A GDB Enhanced Features for exploit devs & reversers"
HOMEPAGE="https://github.com/hugsy/gef"
-if [[ ${PV} == *9999 ]]; then
+if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/hugsy/gef"
else
@@ -36,7 +36,11 @@ RDEPEND="
dev-util/unicorn[python,${PYTHON_USEDEP}]
')"
-BDEPEND="doc? ( dev-python/mkdocs )
+BDEPEND="
+ doc? (
+ dev-python/mkdocs
+ dev-python/mkdocs-material
+ )
test? (
$(python_gen_cond_dep '
dev-python/pytest[${PYTHON_USEDEP}]
@@ -47,7 +51,7 @@ BDEPEND="doc? ( dev-python/mkdocs )
src_prepare() {
default
- sed -i -e '/pylint/d' requirements.txt || die
+ sed -i -e '/pylint/d' tests/requirements.txt || die
}
src_compile() {
@@ -56,19 +60,19 @@ src_compile() {
}
src_install() {
- insinto /usr/share/${PN}
+ insinto "/usr/share/${PN}"
doins -r *.py
- python_optimize "${ED}"/usr/share/${PN}
+ python_optimize "${ED}/usr/share/${PN}"
make_wrapper "gdb-gef" \
- "gdb -ex \"source ${EPREFIX}/usr/share/${PN}/gef.py\"" || die
+ "gdb -x \"/usr/share/${PN}/gef.py\"" || die
if use doc; then
# TODO: docs.eclass?
mkdocs build -d html || die
- rm "${WORKDIR}"/${P}/html/sitemap.xml.gz || die
+ rm "${WORKDIR}/${P}/html/sitemap.xml.gz" || die
dodoc -r html/
fi
diff --git a/dev-util/gef/gef-9999.ebuild b/dev-util/gef/gef-9999.ebuild
index e29ca85b5b66..f6f2afc9a0ad 100644
--- a/dev-util/gef/gef-9999.ebuild
+++ b/dev-util/gef/gef-9999.ebuild
@@ -10,7 +10,7 @@ inherit python-single-r1 wrapper
DESCRIPTION="A GDB Enhanced Features for exploit devs & reversers"
HOMEPAGE="https://github.com/hugsy/gef"
-if [[ ${PV} == *9999 ]]; then
+if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/hugsy/gef"
else
@@ -36,7 +36,11 @@ RDEPEND="
dev-util/unicorn[python,${PYTHON_USEDEP}]
')"
-BDEPEND="doc? ( dev-python/mkdocs )
+BDEPEND="
+ doc? (
+ dev-python/mkdocs
+ dev-python/mkdocs-material
+ )
test? (
$(python_gen_cond_dep '
dev-python/pytest[${PYTHON_USEDEP}]
@@ -47,7 +51,7 @@ BDEPEND="doc? ( dev-python/mkdocs )
src_prepare() {
default
- sed -i -e '/pylint/d' requirements.txt || die
+ sed -i -e '/pylint/d' tests/requirements.txt || die
}
src_compile() {
@@ -56,19 +60,19 @@ src_compile() {
}
src_install() {
- insinto /usr/share/${PN}
+ insinto "/usr/share/${PN}"
doins -r *.py
- python_optimize "${ED}"/usr/share/${PN}
+ python_optimize "${ED}/usr/share/${PN}"
make_wrapper "gdb-gef" \
- "gdb -ex \"source ${EPREFIX}/usr/share/${PN}/gef.py\"" || die
+ "gdb -x \"/usr/share/${PN}/gef.py\"" || die
if use doc; then
# TODO: docs.eclass?
mkdocs build -d html || die
- rm "${WORKDIR}"/${P}/html/sitemap.xml.gz || die
+ rm "${WORKDIR}/${P}/html/sitemap.xml.gz" || die
dodoc -r html/
fi
next reply other threads:[~2022-06-28 9:32 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-28 9:31 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-14 4:57 [gentoo-commits] repo/gentoo:master commit in: dev-util/gef/ Sam James
2024-01-14 4:53 Sam James
2024-01-14 4:53 Sam James
2024-01-14 4:53 Sam James
2024-01-14 4:53 Sam James
2023-10-04 21:56 Conrad Kostecki
2023-09-26 18:25 Sam James
2023-09-26 17:58 Sam James
2023-08-26 4:01 Sam James
2023-08-26 4:01 Sam James
2023-08-26 4:01 Sam James
2023-05-25 8:25 Arthur Zamarin
2023-05-25 8:12 Arthur Zamarin
2023-04-25 1:57 Sam James
2023-04-25 1:57 Sam James
2023-04-14 19:43 Sam James
2023-04-14 4:04 Sam James
2023-02-25 5:47 Arthur Zamarin
2023-01-14 10:00 Arthur Zamarin
2023-01-10 4:13 Sam James
2023-01-05 16:42 Arthur Zamarin
2023-01-05 16:42 Arthur Zamarin
2022-10-30 9:35 Sam James
2022-10-30 9:35 Sam James
2022-07-26 4:26 Sam James
2022-01-31 3:55 Sam James
2022-01-31 3:54 Sam James
2022-01-31 3:54 Sam James
2022-01-28 8:22 Sam James
2022-01-28 5:18 Sam James
2022-01-28 5:18 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656408609.83df2c4feae6ef4e6bdcb77bdcdaf6d33fb7d1fd.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox